Method: projects.locations.qaQuestionTags.list

Lists the question tags.

HTTP request

GET https://{endpoint}/v1/{parent=projects/*/locations/*}/qaQuestionTags

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource of the QaQuestionTags.

Query parameters

Parameters
filter

string

Optional. A filter to reduce results to a specific subset. Supports disjunctions (OR) and conjunctions (AND). Supported fields include the following:

  • projectId - id of the project to list tags for
  • qaScorecardRevisionId - id of the scorecard revision to list tags for
  • qaQuestionId - id of the question to list tags for

Request body

The request body must be empty.

Response body

The response from a qaQuestionTags.list request.

If successful, the response body contains data with the following structure:

JSON representation
{
  "qaQuestionTags": [
    {
      object (QaQuestionTag)
    }
  ],
  "nextPageToken": string
}
Fields
qaQuestionTags[]

object (QaQuestionTag)

The parent resource of the questions.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • contactcenterinsights.qaQuestionTags.list

For more information, see the IAM documentation.